# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.dreamhost.com/property_contact_private.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.dreamhost.com.rb'

describe Whois::Record::Parser::WhoisDreamhostCom, "property_contact_private.expected" do

  subject do
    file = fixture("responses", "whois.dreamhost.com/property_contact_private.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should          == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].name.should          == "adequatehq.com Private Registrant"
      subject.registrant_contacts[0].organization.should  == "A Happy DreamHost Customer"
      subject.registrant_contacts[0].address.should       == "417 Associated Rd #324"
      subject.registrant_contacts[0].city.should          == "Brea"
      subject.registrant_contacts[0].zip.should           == "92821"
      subject.registrant_contacts[0].state.should         == "CA"
      subject.registrant_contacts[0].country_code.should  == "US"
      subject.registrant_contacts[0].phone.should         == "+1.2139471032"
      subject.registrant_contacts[0].fax.should           == nil
      subject.registrant_contacts[0].email.should         == "adequatehq.com@proxy.dreamhost.com"
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should          == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].name.should          == "adequatehq.com Private Registrant"
      subject.admin_contacts[0].organization.should  == "A Happy DreamHost Customer"
      subject.admin_contacts[0].address.should       == "417 Associated Rd #324"
      subject.admin_contacts[0].city.should          == "Brea"
      subject.admin_contacts[0].zip.should           == "92821"
      subject.admin_contacts[0].state.should         == "CA"
      subject.admin_contacts[0].country_code.should  == "US"
      subject.admin_contacts[0].phone.should         == "+1.2139471032"
      subject.admin_contacts[0].fax.should           == nil
      subject.admin_contacts[0].email.should         == "adequatehq.com@proxy.dreamhost.com"
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should          == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].name.should          == "adequatehq.com Private Registrant"
      subject.technical_contacts[0].organization.should  == "A Happy DreamHost Customer"
      subject.technical_contacts[0].address.should       == "417 Associated Rd #324"
      subject.technical_contacts[0].city.should          == "Brea"
      subject.technical_contacts[0].zip.should           == "92821"
      subject.technical_contacts[0].state.should         == "CA"
      subject.technical_contacts[0].country_code.should  == "US"
      subject.technical_contacts[0].phone.should         == "+1.2139471032"
      subject.technical_contacts[0].fax.should           == nil
      subject.technical_contacts[0].email.should         == "adequatehq.com@proxy.dreamhost.com"
    end
  end
end
