# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.nic.fo/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.nic.fo.rb'

describe Whois::Record::Parser::WhoisNicFo, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.nic.fo/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#domain" do
    it do
      subject.domain.should == "nic.fo"
    end
  end
  describe "#domain_id" do
    it do
      lambda { subject.domain_id }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#status" do
    it do
      subject.status.should == :registered
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("2010-06-03 03:34:05")
    end
  end
  describe "#updated_on" do
    it do
      subject.updated_on.should be_a(Time)
      subject.updated_on.should == Time.parse("2011-07-12 12:52:57")
    end
  end
  describe "#expires_on" do
    it do
      subject.expires_on.should be_a(Time)
      subject.expires_on.should == Time.parse("2014-01-03")
    end
  end
  describe "#registrar" do
    it do
      lambda { subject.registrar }.should raise_error(Whois::AttributeNotSupported)
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should          == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].id.should            == "ID005359"
      subject.registrant_contacts[0].name.should          == nil
      subject.registrant_contacts[0].organization.should  == "FO-umsitingin"
      subject.registrant_contacts[0].address.should       == "Hoydalsvegur 19, Postboks 1255"
      subject.registrant_contacts[0].city.should          == "Torshavn"
      subject.registrant_contacts[0].zip.should           == "110"
      subject.registrant_contacts[0].state.should         == nil
      subject.registrant_contacts[0].country.should       == nil
      subject.registrant_contacts[0].country_code.should  == "FO" 
      subject.registrant_contacts[0].phone.should         == "+298.322400"
      subject.registrant_contacts[0].fax.should           == nil
      subject.registrant_contacts[0].email.should         == nil
      subject.registrant_contacts[0].created_on.should    == Time.parse("2010-07-21 19:11:55")
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should == []
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].id.should            == "ID005359"
      subject.technical_contacts[0].name.should          == nil
      subject.technical_contacts[0].organization.should  == "FO-umsitingin"
      subject.technical_contacts[0].address.should       == "Hoydalsvegur 19, Postboks 1255"
      subject.technical_contacts[0].city.should          == "Torshavn"
      subject.technical_contacts[0].zip.should           == "110"
      subject.technical_contacts[0].state.should         == nil
      subject.technical_contacts[0].country.should       == nil
      subject.technical_contacts[0].country_code.should  == "FO" 
      subject.technical_contacts[0].phone.should         == "+298.322400"
      subject.technical_contacts[0].fax.should           == nil
      subject.technical_contacts[0].email.should         == nil
      subject.technical_contacts[0].created_on.should    == Time.parse("2010-07-21 19:11:55")
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(5).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "ns1.gratisdns.dk"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "ns2.gratisdns.dk"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "ns3.gratisdns.dk"
      subject.nameservers[3].should be_a(Whois::Record::Nameserver)
      subject.nameservers[3].name.should == "ns4.gratisdns.dk"
      subject.nameservers[4].should be_a(Whois::Record::Nameserver)
      subject.nameservers[4].name.should == "ns5.gratisdns.dk"
    end
  end
end
