# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.registrypro.pro/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/record/parser/whois.registrypro.pro.rb'

describe Whois::Record::Parser::WhoisRegistryproPro, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.registrypro.pro/status_registered.txt")
    part = Whois::Record::Part.new(:body => File.read(file))
    described_class.new(part)
  end

  describe "#disclaimer" do
    it do
      subject.disclaimer.should == "Access to .PRO REGISTRY WHOIS information is provided to assist persons in determining the contents of a domain name registration record in the .PRO Registry registry database. The data in this record is provided by .PRO Registry for informational purposes only, and .PRO Registry does not guarantee its accuracy.  This service is intended only for query-based access. You agree that you will use this data only for lawful purposes and that, under no circumstances will you use this data to: (a) allow, enable, or otherwise support the transmission by e-mail, telephone, or facsimile of mass unsolicited, commercial advertising or solicitations to entities other than the data recipient's own existing customers; or (b) enable high volume, automated, electronic processes that send queries or data to the systems of Registry Operator, a Registrar, or Afilias except as reasonably necessary to register domain names or modify existing registrations. All rights reserved. .PRO Registry reserves the right to modify these terms at any time. By submitting this query, you agree to abide by this policy."
    end
  end
  describe "#domain" do
    it do
      subject.domain.should == "registrypro.pro"
    end
  end
  describe "#domain_id" do
    it do
      subject.domain_id.should == "D6394-PRO"
    end
  end
  describe "#status" do
    it do
      subject.status.should == ["CLIENT TRANSFER PROHIBITED", "DELETE PROHIBITED"]
    end
  end
  describe "#available?" do
    it do
      subject.available?.should == false
    end
  end
  describe "#registered?" do
    it do
      subject.registered?.should == true
    end
  end
  describe "#created_on" do
    it do
      subject.created_on.should be_a(Time)
      subject.created_on.should == Time.parse("2004-08-18 00:00:00 UTC")
    end
  end
  describe "#updated_on" do
    it do
      subject.updated_on.should be_a(Time)
      subject.updated_on.should == Time.parse("2012-06-14 21:27:09 UTC")
    end
  end
  describe "#expires_on" do
    it do
      subject.expires_on.should be_a(Time)
      subject.expires_on.should == Time.parse("2017-01-26 00:00:00 UTC")
    end
  end
  describe "#registrar" do
    it do
      subject.registrar.should be_a(Whois::Record::Registrar)
      subject.registrar.id.should           == "R2338-PRO"
      subject.registrar.name.should         == "Corporation Service Company dba CSC Corporate Domains, Inc"
      subject.registrar.organization.should == "Corporation Service Company dba CSC Corporate Domains, Inc"
    end
  end
  describe "#registrant_contacts" do
    it do
      subject.registrant_contacts.should be_a(Array)
      subject.registrant_contacts.should have(1).items
      subject.registrant_contacts[0].should be_a(Whois::Record::Contact)
      subject.registrant_contacts[0].type.should          == Whois::Record::Contact::TYPE_REGISTRANT
      subject.registrant_contacts[0].id.should            == "RSC-1"
      subject.registrant_contacts[0].name.should          == "Afilias Limited"
      subject.registrant_contacts[0].organization.should  == "Afilias Limited"
      subject.registrant_contacts[0].address.should       == "2 La Touche House\nIFSC"
      subject.registrant_contacts[0].city.should          == "Dublin"
      subject.registrant_contacts[0].zip.should           == "1"
      subject.registrant_contacts[0].state.should         == "IL"
      subject.registrant_contacts[0].country_code.should  == "IE"
      subject.registrant_contacts[0].phone.should         == "+353.14310511"
      subject.registrant_contacts[0].fax.should           == "+353.14310557"
      subject.registrant_contacts[0].email.should         == "domainadmin@afilias.info"
    end
  end
  describe "#admin_contacts" do
    it do
      subject.admin_contacts.should be_a(Array)
      subject.admin_contacts.should have(1).items
      subject.admin_contacts[0].should be_a(Whois::Record::Contact)
      subject.admin_contacts[0].type.should          == Whois::Record::Contact::TYPE_ADMIN
      subject.admin_contacts[0].id.should            == "RSC-1"
      subject.admin_contacts[0].name.should          == "Afilias Limited"
      subject.admin_contacts[0].organization.should  == "Afilias Limited"
      subject.admin_contacts[0].address.should       == "2 La Touche House\nIFSC"
      subject.admin_contacts[0].city.should          == "Dublin"
      subject.admin_contacts[0].zip.should           == "1"
      subject.admin_contacts[0].state.should         == "IL"
      subject.admin_contacts[0].country_code.should  == "IE"
      subject.admin_contacts[0].phone.should         == "+353.14310511"
      subject.admin_contacts[0].fax.should           == "+353.14310557"
      subject.admin_contacts[0].email.should         == "domainadmin@afilias.info"
    end
  end
  describe "#technical_contacts" do
    it do
      subject.technical_contacts.should be_a(Array)
      subject.technical_contacts.should have(1).items
      subject.technical_contacts[0].should be_a(Whois::Record::Contact)
      subject.technical_contacts[0].type.should          == Whois::Record::Contact::TYPE_TECHNICAL
      subject.technical_contacts[0].id.should            == "RSC-1"
      subject.technical_contacts[0].name.should          == "Afilias Limited"
      subject.technical_contacts[0].organization.should  == "Afilias Limited"
      subject.technical_contacts[0].address.should       == "2 La Touche House\nIFSC"
      subject.technical_contacts[0].city.should          == "Dublin"
      subject.technical_contacts[0].zip.should           == "1"
      subject.technical_contacts[0].state.should         == "IL"
      subject.technical_contacts[0].country_code.should  == "IE"
      subject.technical_contacts[0].phone.should         == "+353.14310511"
      subject.technical_contacts[0].fax.should           == "+353.14310557"
      subject.technical_contacts[0].email.should         == "domainadmin@afilias.info"
    end
  end
  describe "#nameservers" do
    it do
      subject.nameservers.should be_a(Array)
      subject.nameservers.should have(5).items
      subject.nameservers[0].should be_a(Whois::Record::Nameserver)
      subject.nameservers[0].name.should == "ns1.ams1.afilias-nst.info"
      subject.nameservers[1].should be_a(Whois::Record::Nameserver)
      subject.nameservers[1].name.should == "ns1.mia1.afilias-nst.info"
      subject.nameservers[2].should be_a(Whois::Record::Nameserver)
      subject.nameservers[2].name.should == "ns1.sea1.afilias-nst.info"
      subject.nameservers[3].should be_a(Whois::Record::Nameserver)
      subject.nameservers[3].name.should == "ns1.yyz1.afilias-nst.info"
      subject.nameservers[4].should be_a(Whois::Record::Nameserver)
      subject.nameservers[4].name.should == "ns1.hkg1.afilias-nst.info"
    end
  end
end
